package com.vpn.fastestvpnservice.retrofit;

public class WebResponse<T> {

//    {
//        "status": true,
//            "response_code": 200,
//            "response_description": "FORGOT_PASSWORD",
//            "data": null,
//        "message": "Reset password link has been sent to your email address."
//    }

    private boolean status;
    private int response_code;
    private String response_description;

    private T data;
    private String message;

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public int getResponse_code() {
        return response_code;
    }

    public void setResponse_code(int response_code) {
        this.response_code = response_code;
    }

    public String getResponse_description() {
        return response_description;
    }

    public void setResponse_description(String response_description) {
        this.response_description = response_description;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}

